Mailinglist Archive: opensuse-amd64 (470 mails)

< Previous Next >
Re: [suse-amd64] The included Xine version (SuSE 9.2 AMD64)
  • From: Martin Schmidt <lists@xxxxxxxxxx>
  • Date: Tue, 16 Nov 2004 17:40:15 +0000 (UTC)
  • Message-id: <200411161820.09349.lists@xxxxxxxxxx>
Hi!

For me Xine works fine with 9.2. Ok, after I have compiled and installed a few
extra packages :)
I have compiled:
lame-3.96 from a tarball
lipffmpeg-0.4.8 also from a tarball
libdts-0.0.2 from source
libdvdcss-1.2.8 from tarball
and only xine-lib-1.rc5 guess a newer one also works

It was a little complicated to find out the parameters for configure (glib,
gtk, qt.....) but with a little bit of trial and error it should be possible
to figure them out. I don't have them in my mind. You have also to install a
few devel-rpms from the SuSE DVD.

I don't have any packing experience. To manage my own rpms I use checkinstall
(I know, not very good, but for me it works). But feel free to ask, if you
can't figure out parameters.

martin

Am Dienstag, 16. November 2004 16:29 schrieb Jörg Hermsdorf:
> Well, there are no x86_64 packman xine-lib packages, yet. I tried to build
> the packman-src.rpm for x86_64 serveral times, but never with success. So I
> had a look at the SPEC-File that comes with the SUSE src.rpm on the DVD,
> seems like SUSE applies some extra AMD64 patches to the official xine
> sources. Would be cool if someone with more packaging experience could
> provide at least a src.rpm for x86_64. Maybe the easiest way would be to
> take the SUSE src.rpm from the DVD and edit the SPEC-File so that none of
> the patches that restrict the official xine source, due to legal issues,
> are applied. Then a rebuild of xine for x86_64 should work, shouldn't it?
>
> cu guys, joerg.

< Previous Next >
Follow Ups